CVE-2013-6449

The ssl_get_algorithm2 function in ssl/s3_lib.c in OpenSSL before 1.0.2 obtains a certain version number from an incorrect data structure, which allows remote attackers to cause a denial of service (daemon crash) via crafted traffic from a TLS 1.2 client.

Published at
2013-12-23T22:55Z
3638 days ago
Modified
2018-10-09T19:34Z
1887 days ago
CWE-310
Problem type

References


URLType
git.openssl.org
http://git.openssl.org/gitweb/?p=openssl.git;a=commit;h=ca989269a2876bae79393bd54c3e72d49975fc75
CONFIRM
issues.apache.org
https://issues.apache.org/jira/browse/TS-2355
CONFIRM
rt.openssl.org
http://rt.openssl.org/Ticket/Display.html?id=3200&user=guest&pass=guest
CONFIRM
bugzilla.redhat.com
https://bugzilla.redhat.com/show_bug.cgi?id=1045363
CONFIRM
DSA-2833
http://www.debian.org/security/2014/dsa-2833
DEBIAN
FEDORA-2013-23788
http://lists.fedoraproject.org/pipermail/package-announce/2013-December/124854.html
FEDORA
FEDORA-2013-23768
http://lists.fedoraproject.org/pipermail/package-announce/2013-December/124833.html
FEDORA
FEDORA-2013-23794
http://lists.fedoraproject.org/pipermail/package-announce/2013-December/124858.html
FEDORA
1029548
http://www.securitytracker.com/id/1029548
SECTRACK
openSUSE-SU-2014:0018
http://lists.opensuse.org/opensuse-updates/2014-01/msg00012.html
SUSE
64530
http://www.securityfocus.com/bid/64530
BID
openSUSE-SU-2014:0012
http://lists.opensuse.org/opensuse-updates/2014-01/msg00006.html
SUSE
openSUSE-SU-2014:0015
http://lists.opensuse.org/opensuse-updates/2014-01/msg00009.html
SUSE
USN-2079-1
http://www.ubuntu.com/usn/USN-2079-1
UBUNTU
RHSA-2014:0015
http://rhn.redhat.com/errata/RHSA-2014-0015.html
REDHAT
openSUSE-SU-2014:0048
http://lists.opensuse.org/opensuse-updates/2014-01/msg00031.html
SUSE
RHSA-2014:0041
http://rhn.redhat.com/errata/RHSA-2014-0041.html
REDHAT
www.oracle.com
http://www.oracle.com/technetwork/topics/security/cpujul2014-1972956.html
CONFIRM
www-01.ibm.com
http://www-01.ibm.com/support/docview.wss?uid=isg400001843
CONFIRM
www-01.ibm.com
http://www-01.ibm.com/support/docview.wss?uid=isg400001841
CONFIRM
www.vmware.com
http://www.vmware.com/security/advisories/VMSA-2014-0012.html
CONFIRM
20141205 NEW: VMSA-2014-0012 - VMware vSphere product updates address security vulnerabilities
http://seclists.org/fulldisclosure/2014/Dec/23
FULLDISC
www.oracle.com
http://www.oracle.com/technetwork/topics/security/cpujan2015-1972971.html
CONFIRM
GLSA-201412-39
http://security.gentoo.org/glsa/glsa-201412-39.xml
GENTOO
FEDORA-2014-9308
http://lists.fedoraproject.org/pipermail/package-announce/2014-August/136473.html
FEDORA
FEDORA-2014-9301
http://lists.fedoraproject.org/pipermail/package-announce/2014-August/136470.html
FEDORA
20141205 NEW: VMSA-2014-0012 - VMware vSphere product updates address security vulnerabilities
http://www.securityfocus.com/archive/1/534161/100/0/threaded
BUGTRAQ

GET https://vulnerabilitydata.com/api/details/CVE-2013-6449

{
	"id": "CVE-2013-6449",
	"published_date": "2013-12-23T22:55Z",
	"last_modified_date": "2018-10-09T19:34Z",
	"assigner": "secalert@redhat.com",
	"description": "The ssl_get_algorithm2 function in ssl/s3_lib.c in OpenSSL before 1.0.2 obtains a certain version number from an incorrect data structure, which allows remote attackers to cause a denial of service (daemon crash) via crafted traffic from a TLS 1.2 client.",
	"references": [
		{
			"url": "http://git.openssl.org/gitweb/?p=openssl.git;a=commit;h=ca989269a2876bae79393bd54c3e72d49975fc75",
			"name": "http://git.openssl.org/gitweb/?p=openssl.git;a=commit;h=ca989269a2876bae79393bd54c3e72d49975fc75",
			"refsource": "CONFIRM",
			"tags": [
				"Patch"
			]
		},
		{
			"url": "https://issues.apache.org/jira/browse/TS-2355",
			"name": "https://issues.apache.org/jira/browse/TS-2355",
			"refsource": "CONFIRM",
			"tags": []
		},
		{
			"url": "http://rt.openssl.org/Ticket/Display.html?id=3200&user=guest&pass=guest",
			"name": "http://rt.openssl.org/Ticket/Display.html?id=3200&user=guest&pass=guest",
			"refsource": "CONFIRM",
			"tags": []
		},
		{
			"url": "https://bugzilla.redhat.com/show_bug.cgi?id=1045363",
			"name": "https://bugzilla.redhat.com/show_bug.cgi?id=1045363",
			"refsource": "CONFIRM",
			"tags": []
		},
		{
			"url": "http://www.debian.org/security/2014/dsa-2833",
			"name": "DSA-2833",
			"refsource": "DEBIAN",
			"tags": []
		},
		{
			"url": "http://lists.fedoraproject.org/pipermail/package-announce/2013-December/124854.html",
			"name": "FEDORA-2013-23788",
			"refsource": "FEDORA",
			"tags": []
		},
		{
			"url": "http://lists.fedoraproject.org/pipermail/package-announce/2013-December/124833.html",
			"name": "FEDORA-2013-23768",
			"refsource": "FEDORA",
			"tags": []
		},
		{
			"url": "http://lists.fedoraproject.org/pipermail/package-announce/2013-December/124858.html",
			"name": "FEDORA-2013-23794",
			"refsource": "FEDORA",
			"tags": []
		},
		{
			"url": "http://www.securitytracker.com/id/1029548",
			"name": "1029548",
			"refsource": "SECTRACK",
			"tags": []
		},
		{
			"url": "http://lists.opensuse.org/opensuse-updates/2014-01/msg00012.html",
			"name": "openSUSE-SU-2014:0018",
			"refsource": "SUSE",
			"tags": []
		},
		{
			"url": "http://www.securityfocus.com/bid/64530",
			"name": "64530",
			"refsource": "BID",
			"tags": []
		},
		{
			"url": "http://lists.opensuse.org/opensuse-updates/2014-01/msg00006.html",
			"name": "openSUSE-SU-2014:0012",
			"refsource": "SUSE",
			"tags": []
		},
		{
			"url": "http://lists.opensuse.org/opensuse-updates/2014-01/msg00009.html",
			"name": "openSUSE-SU-2014:0015",
			"refsource": "SUSE",
			"tags": []
		},
		{
			"url": "http://www.ubuntu.com/usn/USN-2079-1",
			"name": "USN-2079-1",
			"refsource": "UBUNTU",
			"tags": []
		},
		{
			"url": "http://rhn.redhat.com/errata/RHSA-2014-0015.html",
			"name": "RHSA-2014:0015",
			"refsource": "REDHAT",
			"tags": []
		},
		{
			"url": "http://lists.opensuse.org/opensuse-updates/2014-01/msg00031.html",
			"name": "openSUSE-SU-2014:0048",
			"refsource": "SUSE",
			"tags": []
		},
		{
			"url": "http://rhn.redhat.com/errata/RHSA-2014-0041.html",
			"name": "RHSA-2014:0041",
			"refsource": "REDHAT",
			"tags": []
		},
		{
			"url": "http://www.oracle.com/technetwork/topics/security/cpujul2014-1972956.html",
			"name": "http://www.oracle.com/technetwork/topics/security/cpujul2014-1972956.html",
			"refsource": "CONFIRM",
			"tags": []
		},
		{
			"url": "http://www-01.ibm.com/support/docview.wss?uid=isg400001843",
			"name": "http://www-01.ibm.com/support/docview.wss?uid=isg400001843",
			"refsource": "CONFIRM",
			"tags": []
		},
		{
			"url": "http://www-01.ibm.com/support/docview.wss?uid=isg400001841",
			"name": "http://www-01.ibm.com/support/docview.wss?uid=isg400001841",
			"refsource": "CONFIRM",
			"tags": []
		},
		{
			"url": "http://www.vmware.com/security/advisories/VMSA-2014-0012.html",
			"name": "http://www.vmware.com/security/advisories/VMSA-2014-0012.html",
			"refsource": "CONFIRM",
			"tags": []
		},
		{
			"url": "http://seclists.org/fulldisclosure/2014/Dec/23",
			"name": "20141205 NEW: VMSA-2014-0012 - VMware vSphere product updates address security vulnerabilities",
			"refsource": "FULLDISC",
			"tags": []
		},
		{
			"url": "http://www.oracle.com/technetwork/topics/security/cpujan2015-1972971.html",
			"name": "http://www.oracle.com/technetwork/topics/security/cpujan2015-1972971.html",
			"refsource": "CONFIRM",
			"tags": []
		},
		{
			"url": "http://security.gentoo.org/glsa/glsa-201412-39.xml",
			"name": "GLSA-201412-39",
			"refsource": "GENTOO",
			"tags": []
		},
		{
			"url": "http://lists.fedoraproject.org/pipermail/package-announce/2014-August/136473.html",
			"name": "FEDORA-2014-9308",
			"refsource": "FEDORA",
			"tags": []
		},
		{
			"url": "http://lists.fedoraproject.org/pipermail/package-announce/2014-August/136470.html",
			"name": "FEDORA-2014-9301",
			"refsource": "FEDORA",
			"tags": []
		},
		{
			"url": "http://www.securityfocus.com/archive/1/534161/100/0/threaded",
			"name": "20141205 NEW: VMSA-2014-0012 - VMware vSphere product updates address security vulnerabilities",
			"refsource": "BUGTRAQ",
			"tags": []
		}
	],
	"impact": {
		"baseMetricV2": {
			"cvssV2": {
				"version": "2.0",
				"vectorString": "AV:N/AC:M/Au:N/C:N/I:N/A:P",
				"accessVector": "NETWORK",
				"accessComplexity": "MEDIUM",
				"authentication": "NONE",
				"confidentialityImpact": "NONE",
				"integrityImpact": "NONE",
				"availabilityImpact": "PARTIAL",
				"baseScore": 4.3
			},
			"severity": "MEDIUM",
			"exploitabilityScore": 8.6,
			"impactScore": 2.9,
			"obtainAllPrivilege": false,
			"obtainUserPrivilege": false,
			"obtainOtherPrivilege": false,
			"userInteractionRequired": false
		}
	},
	"problem_type": "CWE-310"
}